Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message.discovery
Class OutgoingNotificationRequestServiceType

    java.lang.Object
      org.teleal.cling.model.message.UpnpMessage<O>
          org.teleal.cling.model.message.OutgoingDatagramMessage<UpnpRequest>
              org.teleal.cling.model.message.discovery.OutgoingNotificationRequest
                  org.teleal.cling.model.message.discovery.OutgoingNotificationRequestServiceType

    public class OutgoingNotificationRequestServiceType

extends OutgoingNotificationRequest

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.model.message.UpnpMessage
`UpnpMessage.BodyType`

Constructor Summary
`OutgoingNotificationRequestServiceType(Locator locator, LocalDevice device, NotificationSubtype type, ServiceType serviceType)`

Method Summary

Methods inherited from class org.teleal.cling.model.message.discovery.OutgoingNotificationRequest
`getType`

Methods inherited from class org.teleal.cling.model.message.OutgoingDatagramMessage
`getDestinationAddress, getDestinationPort`

Methods inherited from class org.teleal.cling.model.message.UpnpMessage
`getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isTextContentType, isUDATextContentType, setBody, setBodyType, setHeaders, setOperation, setUdaMajorVersion, setUdaMinorVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutgoingNotificationRequestServiceType

    public OutgoingNotificationRequestServiceType(Locator locator,
                                                  LocalDevice device,
                                                  NotificationSubtype type,
                                                  ServiceType serviceType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.